var player;
var tag = document.createElement('script');
tag.src = "https://www.youtube.com/iframe_api";
var firstScriptTag = document.getElementsByTagName('script')[0];
firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);

function onYouTubeIframeAPIReady() {
    player = new YT.Player('player', {
        height: '100%',
        width: '100%',
        //videoId: 'M7lc1UVf-VE',
        events: {
            'onReady': onPlayerReady,
            'onStateChange': onPlayerStateChange
        }
    });
}

function onPlayerReady()
{
    Android.onPlayerReady();
}

function onPlayerStateChange(event)
{
    Android.onPlayerStateChange(event.data);
}

function playvideo(videoId)
{
    player.loadVideoById(videoId, 5, "large");
}

function play()
{
    player.playVideo();
}
function pause()
{
    player.pauseVideo();
}

function seekVideo(progress)
{
    var duration = player.getDuration();
    if(duration>0 && progress>=0)
    {
        var milli = duration / 1000 * progress;
        if(milli>=0 && milli<=duration) {
            player.seekTo(milli,true);
        }
    }
}

setInterval(function(){
    var duration =  (player.getDuration() || 0);
    var duration_current = (player.getCurrentTime() || 0);
    Android.onPlayerStatus(duration,duration_current);
},1000);